--- title: "Delete schedule" slug: "media-livestation-schedule-scheduledelete" tags: ["Live Station"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/media-livestation-schedule-scheduledelete" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete schedule Available in Classic and VPC Delete a streaming schedule for a VOD2LIVE channel. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | DELETE | /api/v2/vod/schedule/{scheduleId} | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `scheduleId` | Integer | Required | Schedule ID - See [Create schedule](/docs/en/media-livestation-schedule-schedulecreate) and [Get channel list](/docs/en/media-livestation-channel-vodchannellist). | ### Request example The request example is as follows: ``` curl --location --request DELETE 'https://livestation.apigw.ntruss.com/api/v2/vod/schedule/1293' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Schedule information | | `content.scheduleId` | Integer | - | Schedule ID | | `content.channelId` | String | - | Channel ID | | `content.createdTime` | Integer | - | Schedule creation date and time (millisecond) - Unix timestamp format | | `content.startTime` | Integer | - | Streaming start date and time (millisecond) - Unix timestamp format | | `content.endTime` | Integer | - | Streaming end date and time (millisecond) - Unix timestamp format | | `content.updatedTime` | Integer | - | Schedule update date and time (millisecond) - Unix timestamp format | | `content.deletedTime` | Integer | - | Schedule deletion date and time (millisecond) - Unix timestamp format | | `content.status` | String | - | Schedule status - `CREATING` \| `PROCESSING` \| `PROCESSING_FAIL` \| `UPDATING` \| `READY` \| `FINISH` \| `DELETED` - `CREATING`: Creating - `PROCESSING`: Processing - `PROCESSING_FAIL`: Processing failed - `UPDATING`: Editing - `READY`: Ready - `FINISH`: Completed - `DELETED`: Deleted | | `content.vodList` | Array | - | Streaming VOD list | ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "scheduleId": 1293, "channelId": "ls-20250820******-FdJkJ", "createdTime": 1755676618000, "startTime": 1755684000000, "endTime": 1755702259000, "updatedTime": 1755677704654, "deletedTime": 1755677704654, "status": "DELETED", "vodList": [ "/mybucket/361570-1307727-202508191329.mp4", "/mybucket/361570-1307674-202508191138.mp4", "/mybucket/361570-1307605-202508190911.mp4" ] } } ```